## org.apache.taglibs.standard.lang.jstl
Class ELException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.taglibs.standard.lang.jstl.ELException

All Implemented Interfaces:
  Serializable

    public class ELException

extends Exception

Represents any of the exception conditions that arise during the operation evaluation of the evaluator.

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: tcfujii $
Author:
  Nathan Abramson - Art Technology Group
See Also:
  Serialized Form

Constructor Summary
`ELException()` Constructor
`ELException(String pMessage)` Constructor
`ELException(String pMessage, Throwable pRootCause)` Constructor
`ELException(Throwable pRootCause)` Constructor

Method Summary
`Throwable` `getRootCause()` Returns the root cause
`String` `toString()` String representation

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ELException

    public ELException()

  Constructor

### ELException

    public ELException(String pMessage)

  Constructor

### ELException

    public ELException(Throwable pRootCause)

  Constructor

### ELException

    public ELException(String pMessage,
                       Throwable pRootCause)

  Constructor

Method Detail

### getRootCause

    public Throwable getRootCause()

  Returns the root cause

### toString

    public String toString()

  String representation

  Overrides:
    `toString` in class `Throwable`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.